Skip to navigation

Update a renewal

View as Markdown

Updates the renewal’s terms. Omit a field to leave it unchanged, or send null to clear it. Only DRAFT renewals can be updated. If the renewal has a draft renewal contract, it is regenerated from the updated terms, so draftContractId changes — read the draft’s billing terms after your last update if you plan to exclude any on execute.

Authentication

Authorizationstring
API Key authentication via header

Path parameters

idstringRequired
Renewal Id

Request

This endpoint expects an object.
typeenum or nullOptional
Allowed values:
noticePerioddouble or nullOptional
noticePeriodUnitsenum or nullOptional
Allowed values:
renewalLengthdouble or nullOptional
renewalLengthUnitsenum or nullOptional
Allowed values:
maxNumberOfRenewalsdouble or nullOptional

Use -1 for unlimited renewals

sameConditionsboolean or nullOptional
priceIncreasedouble or nullOptional
priceIncreaseUnitsenum or nullOptional
Allowed values:
recurringPerioddouble or nullOptional
recurringPeriodUnitsenum or nullOptional
Allowed values:
escalatorConditionsstring or nullOptional
renewalCriteriastring or nullOptional
renewalCriteriaDetailsstring or nullOptional
termEndDatestring or nullOptional

Response

The updated renewal
payloadobject
Response payload, will be empty when success is false
successboolean

Boolean with true=success, false=failure

messagestring

Plain-text description of the result

errorobjectOptional
json element with any error messages or warnings

Errors

400
Bad Request Error
404
Not Found Error
500
Internal Server Error